-- Farming Simulator 19 - AdvancedTrailerTipping
-- by acert87 (Agrarservice Westrich)
-- Version 1.0.0.0
-- 30-05-2021
--------------------------------------


function Dischargeable:handleDischarge(dischargeNode, dischargedLiters, minDropReached, hasMinDropFillLevel)
    local spec = self.spec_dischargeable
    if spec.currentDischargeState == Dischargeable.DISCHARGE_STATE_GROUND then
        local canDrop = not minDropReached and hasMinDropFillLevel
        if dischargeNode.stopDischargeIfNotPossible then
            if dischargedLiters == 0 and not canDrop then
                --self:setDischargeState(Dischargeable.DISCHARGE_STATE_OFF)
            end
        end
    end
end

function Dischargeable:handleDischargeOnEmpty(dischargeNode)
    local spec = self.spec_dischargeable
    if spec.currentDischargeNode.stopDischargeOnEmpty then
        --self:setDischargeState(Dischargeable.DISCHARGE_STATE_OFF, true)
    end
end